## ros-melodic-nmea-to-geopose 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nmea_to_geopose)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  geodesy
  geographic_msgs
  nmea_msgs
  roscpp
  quaternion_operation
)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES nmea_to_geopose
  CATKIN_DEPENDS geodesy geographic_msgs nmea_msgs roscpp quaternion_operation
#  DEPENDS system_lib
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR}
)

add_executable(nmea_to_geopose_node src/nmea_to_geopose_node.cpp src/nmea_to_geopose.cpp)
target_link_libraries(nmea_to_geopose_node ${catkin_LIBRARIES} glog)

# install executables
install(TARGETS nmea_to_geopose_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install headers
install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# install launch files
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-melodic-nmea-to-geopose (0.0.1-1stretch) stretch; urgency=high

  * update README.md
  * change degree to radian
  * update publish rule
  * add launch files
  * add publisher for the geopose
  * add Eigen to the depends
  * add quaternion_operation to the depends
  * add README
  * fix paraser function
  * add GeoPose parse function
  * add parser function
  * initial commit
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sat, 29 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-nmea-to-geopose
Section: misc
Priority: extra
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgoogle-glog-dev, ros-melodic-catkin, ros-melodic-geodesy, ros-melodic-geographic-msgs, ros-melodic-nmea-msgs, ros-melodic-quaternion-operation, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-nmea-to-geopose
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgoogle-glog-dev, ros-melodic-geodesy, ros-melodic-geographic-msgs, ros-melodic-nmea-msgs, ros-melodic-quaternion-operation, ros-melodic-roscpp
Description: The nmea_to_geopose package
